Bug 180053 - Cant get into Dell Utility Partition after install of Fedora
Cant get into Dell Utility Partition after install of Fedora
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-05 00:40 EST by Jennifer Shannon
Modified: 2008-03-09 23:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-09 23:50:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jennifer Shannon 2006-02-05 00:40:15 EST
I tried adding the partition to my grub.conf but must not be using
the correct syntax.  Could someone please tell me how the grub.conf
entry should look?  Thanks.

+++ This bug was initially created as a clone of Bug #109310 +++

From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
I have a Dell Dimension 8300 which has a FAT partition for Dell 
Utility which has a diagnostics program.  I installed Fedora Core 1.  
If I press the appropriate function key to get into the Dell Utility 
Partition upon turning on the computer, it goes into GRUB and I can 
only choose between the OS's that are part of Grub and if I try to go 
into Windows XP Pro, for example it gives an error message upon 
trying to boot since the computer was expecting to go right into the 
Dell Utility Partition.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Turn on Dell computer
2. Press F12 to get into setup screen
3. Select option to boot into utility partition
    

Additional info:

-- Additional comment from katzj@redhat.com on 2003-11-06 14:41 EST --
You probably need to add the (possibly hidden) utility partition to
grub so that you can select to boot it.  If you do that, does it work?

That, or Dell is expecting the MBR to be "their's", in which case, you
need to have installed GRUB to the boot partition instead of the to
the MBR so that the MBR would remain under BIOS control.

-- Additional comment from katzj@redhat.com on 2003-11-06 14:45 EST --
*** Bug 109312 has been marked as a duplicate of this bug. ***

-- Additional comment from aj023@aol.com on 2003-11-06 15:06 EST --
*** Bug 109318 has been marked as a duplicate of this bug. ***

-- Additional comment from aj023@aol.com on 2003-11-06 16:30 EST --
I added the Partition to GRUB and it works fine now.  You can get in 
via the bios by then selecting the partition in the boot manager 
(added step) or directly from the bootmanager itself without going 
through the bios.  

-- Additional comment from katzj@redhat.com on 2003-11-06 18:46 EST --
There's no real way to detect this unfortunately -- but it basically
means my guess is correct.
Comment 1 Christian Iseli 2007-01-22 06:15:20 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 petrosyan 2008-03-09 23:50:31 EDT
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.